%define upstream_name    MooseX-Types-URI
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    L<URI> related types and coercions for Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types) >= 0.400.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(URI)
BuildRequires: perl(URI::FromHash)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(URI::WithBase)
BuildRequires: perl(URI::data)
BuildRequires: perl(URI::file)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(ok)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This package provides Moose types for fun with the URI manpages.

It has slightly DWIMier types than the the URI manpage classes have due to
implementation details, so the types should be more forgiving when
ducktyping will work anyway (e.g. the URI::WithBase manpage does not
inherit the URI manpage).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.90.0-2.mga9
+ Revision: 1830457
- Mageia 9 Mass Rebuild

* Fri Mar 12 2021 tv <tv> 0.90.0-1.mga9
+ Revision: 1701663
- update to 0.09

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-5.mga8
+ Revision: 1495696
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-4.mga7
+ Revision: 1269692
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1030710
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 969374
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 868603
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 741918
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.70.0-3.mga5
+ Revision: 735912
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-2.mga5
+ Revision: 685592
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 sander85 <sander85> 0.70.0-1.mga5
+ Revision: 641842
- update to 0.07

* Sat Feb 08 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 586535
- update to 0.05

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 513249
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 370371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 02 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 175187
- update to 0.03

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 40006
- mageia rebuild
- imported package perl-MooseX-Types-URI

